Module java.desktop
Package javax.swing.plaf

# Class TabbedPaneUI

java.lang.Object
javax.swing.plaf.ComponentUI
javax.swing.plaf.TabbedPaneUI

Direct Known Subclasses:
  `BasicTabbedPaneUI`, `MultiTabbedPaneUI`

public abstract class TabbedPaneUI extends ComponentUI
Pluggable look and feel interface for JTabbedPane.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`protected`
`TabbedPaneUI()`
Constructor for subclasses to call.

## Method Summary

Modifier and Type
Method
Description
`abstract Rectangle`
`getTabBounds(JTabbedPane pane, int index)`
Returns the rectangle for the tab bounds.
`abstract int`
`getTabRunCount(JTabbedPane pane)`
Returns the tab run count.
`abstract int`
`tabForCoordinate(JTabbedPane pane, int x, int y)`
Returns the tab for the coordinate.

### Methods declared in class javax.swing.plaf.ComponentUI

`contains, createUI, getAccessibleChild, getAccessibleChildrenCount, getBaseline, getBaselineResizeBehavior, getMaximumSize, getMinimumSize, getPreferredSize, installUI, paint, uninstallUI, update`

### Methods declared in class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### TabbedPaneUI

protected TabbedPaneUI()
Constructor for subclasses to call.

## Method Details

### tabForCoordinate

public abstract int tabForCoordinate(JTabbedPane pane, int x, int y)
Returns the tab for the coordinate.

Parameters:
  `pane` - the pane
  `x` - the x coordinate
  `y` - the y coordinate
Returns:
  the tab for the coordinate

### getTabBounds

public abstract Rectangle getTabBounds(JTabbedPane pane, int index)
Returns the rectangle for the tab bounds.

Parameters:
  `pane` - the pane
  `index` - the index
Returns:
  the rectangle for the tab bounds

### getTabRunCount

public abstract int getTabRunCount(JTabbedPane pane)
Returns the tab run count.

Parameters:
  `pane` - the pane
Returns:
  the tab run count